Subject: Re: Problem: git Notes not discoverable (+proposed solutions)

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Sep 2024 07:54:34 -0700

Michal Suchánek <[email-masked]> writes:

> On Tue, Sep 03, 2024 at 02:34:02PM -0700, Junio C Hamano wrote:
>
> The notes could be also used to annotate existing upstream history
> without altering it.
>
> However, the problems with notes worflows make it impractical.

Indeed.  As a mechanism for the only publisher to publish auxiliary
pieces of information to cloners, notes is a very useful mechanism,
but for such a use case to be effective, the project participants
must understand when they are supposed to use the notes read-only.